package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.BusPatient;

/**
 * 患者Service接口
 * 
 * @author zsl
 * @date 2022-06-02
 */
public interface IBusPatientService 
{
    /**
     * 查询患者
     * 
     * @param id 患者主键
     * @return 患者
     */
    public BusPatient selectBusPatientById(Long id);

    /**
     * 查询患者列表
     * 
     * @param busPatient 患者
     * @return 患者集合
     */
    public List<BusPatient> selectBusPatientList(BusPatient busPatient);

    /**
     * 新增患者
     * 
     * @param busPatient 患者
     * @return 结果
     */
    public int insertBusPatient(BusPatient busPatient);

    /**
     * 修改患者
     * 
     * @param busPatient 患者
     * @return 结果
     */
    public int updateBusPatient(BusPatient busPatient);

    /**
     * 批量删除患者
     * 
     * @param ids 需要删除的患者主键集合
     * @return 结果
     */
    public int deleteBusPatientByIds(Long[] ids);

    /**
     * 删除患者信息
     * 
     * @param id 患者主键
     * @return 结果
     */
    public int deleteBusPatientById(Long id);
}
